﻿using Syncfusion.DocIO;
using Syncfusion.DocIO.DLS;
using System;
using System.Web;
using System.Data;
namespace CreateWordSample
{
    public partial class MainPage : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {

        }
        //First sample
        protected void OnButtonClicked(object sender, EventArgs e)
        {
            string rtfDocument = ResolveApplicationDataPath("/") + "/RTFDocument.rtf";
            string destinationPath = ResolveApplicationDataPath("/") + "/DestinationWordDocument.docx";
            //Loads an existing RTF Word document
            WordDocument rtfWordDocument = new WordDocument(rtfDocument);
            //Iterates section in document
            foreach (WSection section in rtfWordDocument.Sections)
            {
                foreach (Entity entity in section.Body.ChildEntities)
                {
                    if (entity is WParagraph)
                    {
                        foreach (WTextRange textRange in (entity as WParagraph).ChildEntities)
                        {
                            //Formats the text ranges in the paragraph of the document which is to be merged
                            textRange.CharacterFormat.UnderlineStyle = UnderlineStyle.DotDash;
                            textRange.CharacterFormat.Italic = true;
                        }
                    }
                }
            }
            //Opens existing destination Word document
            WordDocument destinationDocument = new WordDocument(destinationPath);
            //Sets the break-code of First section of source document as NoBreak to avoid imported from a new page
            rtfWordDocument.Sections[0].BreakCode = SectionBreakCode.NoBreak;
            //Imports the contents of new document at the end of destination document
            destinationDocument.ImportContent(rtfWordDocument, ImportOptions.UseDestinationStyles);

            #region saving Word document
            //Saves Word document
            destinationDocument.Save("Result.docx", FormatType.Docx, Response, HttpContentDisposition.InBrowser);
            //Close Word document
            destinationDocument.Close();
            rtfWordDocument.Close();
            #endregion

        }
        #region Helper method
        protected string ResolveApplicationDataPath(string fileName)
        {
            //Data folder path is resolved from requested page physical path.
            string dataPath = new System.IO.DirectoryInfo(Request.PhysicalPath + "..\\..\\Data\\").FullName;
            return string.Format("{0}\\{1}", dataPath, fileName);
        }
        #endregion

    }
}